# Changelog

## 2025-01-26 - 1.2.2 - fix(sio-recorder)
Fixed the recording loop and ensured it stops correctly

- Added an await for domtoolsPromise in startRecording method.
- Introduced a while loop to manage the recording status effectively.
- Added delay and stop function call within the loop to manage record sessions.

## 2025-01-25 - 1.2.1 - fix(sio-recorder)
Enhance styling and positioning for rrweb player elements in SioRecorder component.

- Fixed positioning and added styling for the replayer mouse and iframe in the SioRecorder component.
- Ensured compatibility with cross-origin iframes.

## 2025-01-25 - 1.2.0 - feat(elements)
Added sio-recorder element for recording and replaying sessions

- Introduced a new 'sio-recorder' custom element that allows for recording and replaying DOM events.
- Integrated rrweb and rrweb-player dependencies for session recording and playback.
- Updated import/export in ts_web/elements/index.ts to include sio-recorder.
- Fixed assetbroker URL in the html index.html file.

## 2024-12-27 - 1.1.0 - feat(ci)
Add Gitea workflows for CI/CD process.

- Added YAML files for CI/CD workflows in Gitea
- Setup jobs for security checks, testing, and releasing
- Improved CI/CD integration by ignoring certain tag pushes
- Updated .gitignore and other configuration files for compatibility

## 2024-12-27 - 1.0.93 - fix(core)
Fix package naming inconsistencies in the project

- Updated package name from '@social.io_private/catalog' to '@social.io/catalog' in package.json
- Updated dependency from '@social.io_private/interfaces' to '@social.io/interfaces' in package.json
- Updated import statement from '@social.io_private/interfaces' to '@social.io/interfaces' in sio-subwidget-conversations.ts

## 2024-10-09 - 1.0.92 - fix(build)
Correct build command and module type configuration in package.json and tsconfig.json.

- Corrected the build command in package.json to use 'tsfolders'.
- Updated 'module' and 'moduleResolution' types in tsconfig.json to 'NodeNext'.

## 2024-10-09 - 1.0.91 - fix(elements)
Style and dependency adjustments in elements

- Updated styles for better UI consistency and appearance in elements: sio-combox, sio-fab, sio-subwidget-onboardme, sio-subwidget-conversations.
- Dependency versions updated in package.json.
- Removed .gitlab-ci.yml file.

## 2023-08-27 - 1.0.89 to 1.0.90 - core updates
Incremental updates with core fixes.

- Version 1.0.89: fix(core): update
- Version 1.0.90: No significant changes

## 2023-01-07 to 2023-01-11 - 1.0.84 to 1.0.89 - core updates
Continuous core fixes and updates over releases.

- Version 1.0.84: fix(core): update
- Version 1.0.85: fix(core): update
- Version 1.0.86: fix(core): update
- Version 1.0.87: fix(core): update
- Version 1.0.88: fix(core): update
- Version 1.0.89: No significant changes

## 2022-05-09 to 2022-05-24 - 1.0.75 to 1.0.82 - core updates
Progressive upgrades with core fixes.

- Version 1.0.75: fix(core): update
- Version 1.0.76: fix(core): update
- Version 1.0.77: fix(core): update
- Version 1.0.78: fix(core): update
- Version 1.0.79: fix(core): update
- Version 1.0.80: fix(core): update
- Version 1.0.81: fix(core): update
- Version 1.0.82: fix(core): update

## 2022-03-24 to 2022-04-25 - 1.0.72 to 1.0.74 - core updates
Minor updates focusing on core functionalities.

- Version 1.0.72: fix(core): update
- Version 1.0.73: fix(core): update
- Version 1.0.74: fix(core): update

## 2020-08-05 to 2020-12-10 - 1.0.55 to 1.0.71 - core updates
Regular maintenance with core fixes to enhance stability.

- Version 1.0.55 to 1.0.71: Multiple core updates and fixes
- Versions include: 1.0.55, 1.0.56, 1.0.57, 1.0.58, 1.0.59, 1.0.60, 1.0.61, 1.0.62, 1.0.63, 1.0.64, 1.0.65, 1.0.66, 1.0.67, 1.0.68, 1.0.69, 1.0.70, 1.0.71